## gnome-remote-desktop 46.2

=== debian/changelog ===
gnome-remote-desktop (46.2-1~ubuntu24.04.2) noble-security; urgency=medium

  * debian/rules: ignore failing tests on armhf and riscv64.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 May 2024 07:50:49 -0400

gnome-remote-desktop (46.2-1~ubuntu24.04.1) noble; urgency=medium

  * No-change backport to noble

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 22 May 2024 19:45:17 +0200

gnome-remote-desktop (46.2-1) experimental; urgency=medium

  * SECURITY UPDATE: New upstream release (LP: #2066306)
    - CVE-2024-5148 Limit login screen->user session handover access
      to appropriate user. This issue only affected the 46 series.
    - Various security hardening improvements
    - Potential crasher fix
    - Improved disconnection messages
    - Broader client compatibility support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 May 2024 16:38:36 -0400

gnome-remote-desktop (46.1-4) experimental; urgency=medium

  * Run dh_installtmpfiles, then dh_installsysfiles, then dh_installtmpfiles
    (LP: #2063333)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 06 May 2024 07:15:49 -0400

gnome-remote-desktop (46.1-3) experimental; urgency=medium

  * Ensure that dh_installtmpfiles is run before dh_installsysusers
    (LP: #2063333)
  * Temporarily ignore build test failures on Debian

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 05 May 2024 19:37:58 -0400

gnome-remote-desktop (46.1-2) experimental; urgency=medium

  * Opt into Salsa CI
  * Simplify running dh_auto_test
  * Run dh_installsysusers & dh_installtmpfiles (Closes: #1070119)
    (LP: #2063333)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 05 May 2024 14:11:47 -0400

=== debian/control ===
Source: gnome-remote-desktop
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: asciidoc-base,
               dbus-daemon <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               docbook-xml,
               freerdp3-dev (>= 3.1.0),
               libcairo2-dev,
               libdbus-1-dev,
               libdrm-dev,
               libei-dev (>= 1.2.0),
               libepoxy-dev (>= 1.4),
#               libfdk-aac-dev,
               libffmpeg-nvenc-dev (>= 11.1.5),
               libfuse3-dev (>= 3.9.1),
               libgbm-dev,
               libglib2.0-dev (>= 2.75.0),
               libgudev-1.0-dev,
               libnotify-dev,
               libopus-dev,
               libpipewire-0.3-dev,
               libpolkit-gobject-1-dev (>= 122),
               libsecret-1-dev,
               libsystemd-dev,
               libtss2-dev,
               libwinpr2-dev (>= 2.3.0),
               libxkbcommon-dev (>= 1.0.0),
               meson (>= 0.47.0),
               mutter (>= 46) <!nocheck>,
               openssl <!nocheck>,
               pipewire <!nocheck>,
               python3-dbus <!nocheck>,
               python3-gi <!nocheck>,
               systemd-dev,
               wireplumber <!nocheck>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop/tree/ubuntu/noble
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git -b ubuntu/noble
Homepage: https://wiki.gnome.org/Projects/Mutter/RemoteDesktop

Package: gnome-remote-desktop
Architecture: linux-any
Depends: fuse3,
         libmutter-14-0 (>= 46),
         pipewire (>= 0.3.0),
         wireplumber,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-control-center (<< 1:42)
Description: Remote desktop daemon for GNOME using PipeWire
 This daemon enables GNOME to offer remote desktop sharing and control
 using RDP with PipeWire. It supports GNOME on both X11 and Wayland.
 Remote sharing can be enabled and managed in the GNOME Settings app.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

# https://bugs.debian.org/981285
# https://launchpad.net/bugs/1977614
override_dh_auto_configure:
	dh_auto_configure -- -Dfdk_aac=false

# The tmpfiles postinst must be before the sysusers postinst
execute_after_dh_installtmpfiles:
	dh_installsysusers
	dh_installtmpfiles

override_dh_installsysusers:

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armhf s390x))
    TESTS_CAN_FAIL=true
else
    TESTS_CAN_FAIL=false
endif

override_dh_auto_test:
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
	dh_auto_test || $(TESTS_CAN_FAIL)
else
	dh_auto_test || true
endif

# https://launchpad.net/bugs/1973028
override_dh_installsystemduser:
	dh_installsystemduser --no-enable

override_dh_gnome_clean:

## gnome-remote-desktop 46.3

=== debian/changelog ===
gnome-remote-desktop (46.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 18:31:14 -0400

gnome-remote-desktop (46.3-1) experimental; urgency=medium

  * New upstream release
  * Fix nocheck build
  * Drop obsolete postinst rules
  * Use custom postinst to fix long delay when first installing 46
    (Closes: #1070119) (LP: #2072596)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 08:21:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-remote-desktop
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
@@ -42,8 +41,8 @@
                wireplumber <!nocheck>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop/tree/ubuntu/noble
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git -b ubuntu/noble
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git
 Homepage: https://wiki.gnome.org/Projects/Mutter/RemoteDesktop
 
 Package: gnome-remote-desktop
@@ -51,6 +50,8 @@
 Depends: fuse3,
          libmutter-14-0 (>= 46),
          pipewire (>= 0.3.0),
+         systemd | systemd-sysusers,
+         systemd | systemd-tmpfiles,
          wireplumber,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

# https://bugs.debian.org/981285
# https://launchpad.net/bugs/1977614
override_dh_auto_configure:
	dh_auto_configure -- \
		-Dfdk_aac=false \
		-Dtests=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),false,true)

# We manually handle tmpfiles & sysusers in postinst
# Remove these 2 empty overrides when postinst is dropped
override_dh_installtmpfiles:

override_dh_installsysusers:

override_dh_auto_test:
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
	dh_auto_test
else
	dh_auto_test || true
endif

# https://launchpad.net/bugs/1973028
override_dh_installsystemduser:
	dh_installsystemduser --no-enable

override_dh_gnome_clean:

## gnome-remote-desktop 46.4

=== debian/changelog ===
gnome-remote-desktop (46.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 16:42:21 -0400

gnome-remote-desktop (46.3-4) unstable; urgency=medium

  * Run upstream tests as autopkgtest (Closes: #1076270)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 01 Aug 2024 17:47:09 -0400

gnome-remote-desktop (46.3-3) unstable; urgency=medium

  * Stop ignoring build test failures except on a few architectures
    where mutter appears to be broken (Closes: #1070463) (LP: #2072768)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Jul 2024 08:22:10 -0400

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
                python3-gi <!nocheck>,
                systemd-dev,
                wireplumber <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git

## gnome-remote-desktop 47~rc

=== debian/changelog ===
gnome-remote-desktop (47~rc-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/control: Drop libwinpr2-dev. Not replacing it by libwinpr3-dev
    because that is already pulled with freerdp3-dev, which is already
    a build dependency.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 06 Sep 2024 14:25:11 +0200

gnome-remote-desktop (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Build with mutter 47

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 16:48:18 -0400

## gnome-remote-desktop 47.0

=== debian/changelog ===
gnome-remote-desktop (47.0-1) experimental; urgency=medium

  * New upstream release (LP: #2083260)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Sep 2024 11:09:48 -0400

=== debian/control ===
--- 
+++ 
@@ -29,10 +29,9 @@
                libsecret-1-dev,
                libsystemd-dev,
                libtss2-dev,
-               libwinpr2-dev (>= 2.3.0),
                libxkbcommon-dev (>= 1.0.0),
                meson (>= 0.47.0),
-               mutter (>= 46) <!nocheck>,
+               mutter (>= 47~beta) <!nocheck>,
                openssl <!nocheck>,
                pipewire <!nocheck>,
                python3-dbus <!nocheck>,
@@ -48,7 +47,7 @@
 Package: gnome-remote-desktop
 Architecture: linux-any
 Depends: fuse3,
-         libmutter-14-0 (>= 46),
+         libmutter-15-0 (>= 47~beta),
          pipewire (>= 0.3.0),
          systemd | systemd-sysusers,
          systemd | systemd-tmpfiles,

## gnome-remote-desktop 47.2

=== debian/changelog ===
gnome-remote-desktop (47.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 10:52:13 -0500

gnome-remote-desktop (47.0-3) unstable; urgency=medium

  [ Simon McVittie ]
  * Remove unused Lintian override for #1031037, fixed in
    Lintian 2.117.0

  [ Jeremy Bícha ]
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 19:19:09 -0400

## gnome-remote-desktop 47.3

=== debian/changelog ===
gnome-remote-desktop (47.3-1) unstable; urgency=medium

  * New upstream release
  * debian/salsa-ci.yml: update to current recommended URL

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 16:46:00 -0500

## gnome-remote-desktop 48.0

=== debian/changelog ===
gnome-remote-desktop (48.0-1ubuntu0.1) plucky; urgency=medium

  * d/p/lp-2127792-fix-nvenc-blackwell.patch: Fix NVENC video streaming on 
    blackwell GPUs (LP: #2127792) 

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Mon, 20 Oct 2025 16:27:11 +0200

gnome-remote-desktop (48.0-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: libva-dev
  * Remove patch to avoid libva
  * debian/docs: install README.md since it explains how to configure
    gnome-remote-desktop via the command line (LP: #2064647)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Mar 2025 15:34:24 -0400

gnome-remote-desktop (48~alpha-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 05:29:35 -0500

gnome-remote-desktop (48~alpha-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum mutter & pipewire
  * Add Build-Depends: libvulkan-dev, glslc, spirv-tools
  * Add patch to temporarily remove unused libva dependency check

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 10:27:46 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-remote-desktop
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
@@ -11,6 +12,7 @@
                dh-sequence-gnome,
                docbook-xml,
                freerdp3-dev (>= 3.1.0),
+               glslc,
                libcairo2-dev,
                libdbus-1-dev,
                libdrm-dev,
@@ -24,18 +26,21 @@
                libgudev-1.0-dev,
                libnotify-dev,
                libopus-dev,
-               libpipewire-0.3-dev,
+               libpipewire-0.3-dev (>= 1.2.0),
                libpolkit-gobject-1-dev (>= 122),
                libsecret-1-dev,
                libsystemd-dev,
                libtss2-dev,
+               libva-dev,
+               libvulkan-dev (>= 1.2.0),
                libxkbcommon-dev (>= 1.0.0),
                meson (>= 0.47.0),
-               mutter (>= 47~beta) <!nocheck>,
+               mutter (>= 48~beta) <!nocheck>,
                openssl <!nocheck>,
-               pipewire <!nocheck>,
+               pipewire (>= 1.2.0) <!nocheck>,
                python3-dbus <!nocheck>,
                python3-gi <!nocheck>,
+               spirv-tools,
                systemd-dev,
                wireplumber <!nocheck>
 Standards-Version: 4.7.0
@@ -47,8 +52,8 @@
 Package: gnome-remote-desktop
 Architecture: linux-any
 Depends: fuse3,
-         libmutter-15-0 (>= 47~beta),
-         pipewire (>= 0.3.0),
+         libmutter-16-0 (>= 48~beta),
+         pipewire (>= 1.2.0),
          systemd | systemd-sysusers,
          systemd | systemd-tmpfiles,
          wireplumber,

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,11 @@
 
 override_dh_installsysusers:
 
+# Ignore build test failures on some architectures
+# These tests require working mutter & mutter's build tests
+# fail for these architectures too
 override_dh_auto_test:
-ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
+ifeq (,$(filter mips64el riscv64,$(DEB_HOST_ARCH)))
 	dh_auto_test
 else
 	dh_auto_test || true

## gnome-remote-desktop 48.1

=== debian/changelog ===
gnome-remote-desktop (48.1-4) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Jul 2025 10:04:35 +0100

gnome-remote-desktop (48.1-3) experimental; urgency=medium

  * Cherry-pick patch to fix gnome-remote-desktop on arm64
    (at least as seen on Raspberry Pi 5) with mesa 25.07 (LP: #2115956)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 08 Jul 2025 16:59:33 +0200

gnome-remote-desktop (48.1-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * postinst: Remove accidental copy of rygel.postinst

 -- Laurent Bigonville <bigon@debian.org>  Tue, 13 May 2025 16:01:58 +0200

gnome-remote-desktop (48.1-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Don't automatically enable the systemd system service (Closes: #1070644)
  * Salsa CI: Disable build tests to avoid inability to run the TPM test

 -- Matthias Geiger <werdahias@debian.org>  Sat, 03 May 2025 14:15:02 +0200

## gnome-remote-desktop 48.2

=== meson_options.txt ===
option('man',
       type: 'boolean',
       value: true,
       description: 'Generate man pages')

option('tests',
       type: 'boolean',
       value: true,
       description: 'Build the test suite')

option('rdp',
       type: 'boolean',
       value: true,
       description: 'Enable the RDP backend')

option('vnc',
       type: 'boolean',
       value: false,
       description: 'Enable the VNC backend')

option('systemd',
       type: 'boolean',
       value: true,
       description: 'Enable systemd support')

option('systemd_user_unit_dir',
       type: 'string',
       value: '',
       description: 'systemd user service directory')

option('systemd_system_unit_dir',
       type: 'string',
       value: '',
       description: 'systemd system service directory')

option('systemd_sysusers_dir',
       type: 'string',
       value: '',
       description: 'systemd sysusers directory')

option('systemd_tmpfiles_dir',
       type: 'string',
       value: '',
       description: 'systemd tmpfiles directory')

option('conf_dir',
       type: 'string',
       value: '',
       description: 'Config directory for the system daemon')

option('user',
        type: 'string',
        value: 'gnome-remote-desktop',
        description: 'Username for the GNOME Remote Desktop system service')

option('home_dir',
        type: 'string',
        value: '/var/lib/gnome-remote-desktop',
        description: 'gnome-remote-desktop user directory')

option('dbus_sys_dir',
       type: 'string',
       value: '',
       description: 'System D-Bus conf directory')

=== debian/changelog ===
gnome-remote-desktop (48.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field

  [ Alessandro Astone ]
  * debian/patches: Drop patch applied upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 08:53:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-remote-desktop
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
@@ -43,8 +42,7 @@
                spirv-tools,
                systemd-dev,
                wireplumber <!nocheck>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git
 Homepage: https://wiki.gnome.org/Projects/Mutter/RemoteDesktop

## gnome-remote-desktop 49~alpha

=== debian/changelog ===
gnome-remote-desktop (49~alpha-0ubuntu1) questing; urgency=medium

  * New upstream release
  * debian/control: Update Build-Depends minimum versions
  * debian/control: Bump mutter API
  * debian/patches: Drop patch applied upstream
  * debian/patches: Refresh

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 09 Jul 2025 18:22:03 +0200

## gnome-remote-desktop 49~rc

=== debian/changelog ===
gnome-remote-desktop (49~rc-0ubuntu1) questing; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 04 Sep 2025 16:44:24 +0200

## gnome-remote-desktop 49.0

=== debian/changelog ===
gnome-remote-desktop (49.0-0ubuntu1.1) questing; urgency=medium

  * d/p/lp-2127792-fix-nvenc-blackwell.patch: Fix NVENC video streaming on 
    blackwell GPUs (LP: #2127792) 

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Tue, 14 Oct 2025 09:44:18 +0200

gnome-remote-desktop (49.0-0ubuntu1) questing; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 16:20:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-remote-desktop
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
@@ -10,12 +11,12 @@
                debhelper-compat (= 13),
                dh-sequence-gnome,
                docbook-xml,
-               freerdp3-dev (>= 3.1.0),
+               freerdp3-dev (>= 3.15.0),
                glslc,
                libcairo2-dev,
                libdbus-1-dev,
                libdrm-dev,
-               libei-dev (>= 1.2.0),
+               libei-dev (>= 1.3.901),
                libepoxy-dev (>= 1.4),
 #               libfdk-aac-dev,
                libffmpeg-nvenc-dev (>= 11.1.5),
@@ -33,8 +34,8 @@
                libva-dev,
                libvulkan-dev (>= 1.2.0),
                libxkbcommon-dev (>= 1.0.0),
-               meson (>= 0.47.0),
-               mutter (>= 48~beta) <!nocheck>,
+               meson (>= 1.4.0),
+               mutter (>= 49~) <!nocheck>,
                openssl <!nocheck>,
                pipewire (>= 1.2.0) <!nocheck>,
                python3-dbus <!nocheck>,
@@ -42,15 +43,16 @@
                spirv-tools,
                systemd-dev,
                wireplumber <!nocheck>
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop/-/tree/ubuntu/questing
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git -b ubuntu/questing
 Homepage: https://wiki.gnome.org/Projects/Mutter/RemoteDesktop
 
 Package: gnome-remote-desktop
 Architecture: linux-any
 Depends: fuse3,
-         libmutter-16-0 (>= 48~beta),
+         libmutter-17-0,
          pipewire (>= 1.2.0),
          systemd | systemd-sysusers,
          systemd | systemd-tmpfiles,

## gnome-remote-desktop 49.1

=== debian/changelog ===
gnome-remote-desktop (49.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 18:36:46 -0400

gnome-remote-desktop (49.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Alessandro Astone ]
  * debian/control: Update Build-Depends minimum versions
  * debian/control: Bump mutter API

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 09:00:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-remote-desktop
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
@@ -43,10 +42,9 @@
                spirv-tools,
                systemd-dev,
                wireplumber <!nocheck>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop/-/tree/ubuntu/questing
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git -b ubuntu/questing
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git
 Homepage: https://wiki.gnome.org/Projects/Mutter/RemoteDesktop
 
 Package: gnome-remote-desktop

=== debian/rules ===
--- 
+++ 
@@ -35,4 +35,7 @@
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
 
+override_dh_installsystemd:
+	dh_installsystemd --no-enable
+
 override_dh_gnome_clean:

## gnome-remote-desktop 49.2

=== debian/changelog ===
gnome-remote-desktop (49.2-2ubuntu1) resolute; urgency=medium

  * Soften the dependency on libmutter to Recommends because it's really
    not required until run time, and even then is only a weak assumption
    that a similar enough DBus protocol is supported. Also allow multiple
    versions of libmutter where the protocol is known to not have changed
    (much).

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 04 Feb 2026 14:54:43 +0800

gnome-remote-desktop (49.2-2) unstable; urgency=medium

  * Bump Standards Version to 4.7.3
  * Stop running autopkgtests on i386 (Closes: #1121036)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Jan 2026 12:39:06 -0500

gnome-remote-desktop (49.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Dec 2025 09:59:48 -0500

gnome-remote-desktop (49.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 Oct 2025 08:39:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gnome-remote-desktop
 Section: gnome
-Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
@@ -42,7 +42,7 @@
                spirv-tools,
                systemd-dev,
                wireplumber <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-remote-desktop
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-remote-desktop.git
 Homepage: https://wiki.gnome.org/Projects/Mutter/RemoteDesktop
@@ -50,13 +50,13 @@
 Package: gnome-remote-desktop
 Architecture: linux-any
 Depends: fuse3,
-         libmutter-17-0,
          pipewire (>= 1.2.0),
          systemd | systemd-sysusers,
          systemd | systemd-tmpfiles,
          wireplumber,
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: libmutter-17-0 | libmutter-18-0
 Breaks: gnome-control-center (<< 1:42)
 Description: Remote desktop daemon for GNOME using PipeWire
  This daemon enables GNOME to offer remote desktop sharing and control

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, @builddeps@
Architecture: !i386
Restrictions: allow-stderr

## gnome-remote-desktop 50~beta

=== debian/changelog ===
gnome-remote-desktop (50~beta-1) experimental; urgency=medium

  [ Charles ]
  * New upstream release
    - d/control: Update dependencies. libkrb5-dev is a new one
  * d/watch: Update to version 5
  * Refresh patches

  [ Daniel van Vugt ]
  * Soften the dependency on libmutter to Recommends because it's really
    not required until run time, and even then is only a weak assumption
    that a similar enough DBus protocol is supported. Also allow multiple
    versions of libmutter where the protocol is known to not have changed
    (much).

 -- Charles <charles05@canonical.com>  Wed, 04 Feb 2026 23:00:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: gnome-remote-desktop
 Section: gnome
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
@@ -10,7 +9,7 @@
                debhelper-compat (= 13),
                dh-sequence-gnome,
                docbook-xml,
-               freerdp3-dev (>= 3.15.0),
+               freerdp3-dev (>= 3.22.0),
                glslc,
                libcairo2-dev,
                libdbus-1-dev,
@@ -23,6 +22,7 @@
                libgbm-dev,
                libglib2.0-dev (>= 2.75.0),
                libgudev-1.0-dev,
+               libkrb5-dev,
                libnotify-dev,
                libopus-dev,
                libpipewire-0.3-dev (>= 1.2.0),

=== debian/rules ===
--- 
+++ 
@@ -38,4 +38,5 @@
 override_dh_installsystemd:
 	dh_installsystemd --no-enable
 
-override_dh_gnome_clean:
+# Skip. We only use dh_gnome for dh_translations for Ubuntu
+override_dh_gnome:

=== debian/watch ===
Version: 5

Source: https://download.gnome.org/sources/@PACKAGE@/cache.json
Matching-Pattern: [\d.]+/@PACKAGE@-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@
Downloadurlmangle: s|cache.json||
Searchmode: plain
Uversionmangle: s/\.(alpha|beta|rc)/~$1/
